Public Member Functions | Public Attributes | Friends | List of all members
WriteNowTextInternal::Font Struct Reference

Internal: the fonts. More...

## Public Member Functions
| Font ()
| the constructor More...

## Public Attributes
MWAWFont | m_font
| the font More...
int | m_styleId [2]
| the char/ruler style id More...
int | m_flags [3]
| some unknown flag More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: the fonts.

## Constructor & Destructor Documentation

## ◆ Font()

WriteNowTextInternal::Font::Font | ( |  | ) |
| inline

the constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |
| friend

operator<<

Referenced by WriteNowTextInternal::ContentZone::ContentZone().

## Member Data Documentation

## ◆ m_flags

int WriteNowTextInternal::Font::m_flags[3]

some unknown flag

Referenced by Font(), WriteNowText::readFont(), WriteNowTextInternal::Style::Style(), WriteNowTextInternal::TableData::TableData(), and WriteNowTextInternal::TableData::updateCell().

## ◆ m_font

MWAWFont WriteNowTextInternal::Font::m_font

the font

Referenced by WriteNowText::readFont(), WriteNowText::readStyles(), and WriteNowText::send().

## ◆ m_styleId

int WriteNowTextInternal::Font::m_styleId[2]

the char/ruler style id

Referenced by Font(), and WriteNowText::readFont().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx